Bug 268811 - Service provider for FileChooserBuilder
Service provider for FileChooserBuilder
Status: VERIFIED FIXED
Product: platform
Classification: Unclassified
Component: Filesystems
Dev
All All
: P3 (vote)
: 8.2
Assigned To: danilasergeyev
issues@platform
cndreq, 82patch1-verified
: API_REVIEW_FAST
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2016-11-03 16:29 UTC by danilasergeyev
Modified: 2016-12-08 14:32 UTC (History)
2 users (show)

See Also:
Issue Type: ENHANCEMENT
:


Attachments
Proposed changes (5.17 KB, patch)
2016-11-03 16:29 UTC, danilasergeyev
Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description danilasergeyev 2016-11-03 16:29:24 UTC
Created attachment 162754 [details]
Proposed changes

There are cases when we want to use file chooser to browse file system on a remote machine (or probably other file system that is not based on java.io.File). Modules that provide such file choosers already exist in NetBeans, for example, dlight.remote.ui. However, direct usage of these modules introduces undesirable dependencies.
We propose a pair of API/SPI that allows a client that knows a FileSystem to obtain a file chooser for that file system.
Comment 1 danilasergeyev 2016-11-21 16:58:32 UTC
I'm going to push changes into cnd-main, if there is no objections
Comment 2 danilasergeyev 2016-11-25 15:19:56 UTC
Implemented in changeset:
http://hg.netbeans.org/cnd-main/rev/7ec1ca8ab1ac
Comment 3 Quality Engineering 2016-11-27 02:51:24 UTC
Integrated into 'main-silver', will be available in build *201611270001* on http://bits.netbeans.org/dev/nightly/ (upload may still be in progress)

Changeset: http://hg.netbeans.org/main-silver/rev/7ec1ca8ab1ac
User: Danila Sergeyev <danilasergeyev@netbeans.org>
Log: Bug #268811 Service provider for FileChooserBuilder
Comment 4 danilasergeyev 2016-12-08 14:02:05 UTC
Verified in internal NetBeans 8,2 patch 1 build


By use of this website, you agree to the NetBeans Policies and Terms of Use. © 2014, Oracle Corporation and/or its affiliates. Sponsored by Oracle logo